%define pkg_name        Algorithm-Merge
%define pkg_version     0.08
%define rpm_pkg_version 0.08
%define rpm_pkg_release 2.n0i.3


Summary:       Implements 3-way merge and diff algorithms
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JS/JSMITH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
Requires:      perl(Algorithm::Diff) >= 1
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Algorithm::Diff) >= 1}
%{!?_without_test:BuildRequires: perl(Test::More)}


%description
Algorithm::Merge - Three-way merge and diff


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.08-2.n0i.3
- mass rebuild

* Wed May 09 2007 Marius Feraru <altblue@n0i.net> - 0.08-1.n0i.2
- version 0.08

* Sat Aug 06 2005 Marius Feraru <altblue@n0i.net> 0.05-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
